
<mat-form-field>
    <input matInput placeholder="Filter" [(ngModel)]="searchTerm" />
    <mat-icon matPrefix>search</mat-icon>
</mat-form-field>
<div class="panel-titles">
    <div class="title">Packet Name</div>
    <div class="title">Generation Time</div>
    <div class="title">Actions</div>
</div>
<mat-accordion>
    <mat-expansion-panel *ngFor="let packet of packetData; let i = index" [class.highlight]="searchedPacket(packet.data.id.name)">
        <mat-expansion-panel-header>
            <mat-panel-title [title]="packet.data.id.name">
                {{ packet.data.id.name }}
            </mat-panel-title>
            <mat-panel-description>
                <div class="time">
                    <a> {{  packet.data.generationTime | date : "dd/MM/YYYY HH:mm:ss" }} UTC</a>
                </div>
                <button mat-button class="extract" (click)="extractPacket(packet)" title="Extract Packet">
                    <mat-icon>output</mat-icon>
                </button>
            </mat-panel-description>
        </mat-expansion-panel-header>

        <h3>Name</h3>
        <h4>{{ packet.data.id.name }}</h4>
        <mat-divider></mat-divider>
        <h3>Generation Time</h3>
        <h4>{{ packet.data.generationTime }}</h4>
        <mat-divider></mat-divider>
        <h3>Reception Time</h3>
        <h4>{{ packet.data.receptionTime }}</h4>
        <h3>Packet</h3>
        <h4>{{ packet.data.packet }}</h4>
    </mat-expansion-panel>
</mat-accordion>
<!-- <div appCreateExtractItem></div> -->
